# Class RealmSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.RealmSF

All Implemented Interfaces:
  `IStoreFactory`

public class RealmSF extends StoreFactoryBase
Store server.xml Element Realm

## Field Summary

### Fields inherited from class StoreFactoryBase

`sm`

## Constructor Summary

Constructors
Constructor
Description
`RealmSF()`

## Method Summary

Modifier and Type
Method
Description
`void`
`store(PrintWriter aWriter, int indent, Object aElement)`
Store a server.xml element with attributes and children.
`void`
`storeChildren(PrintWriter aWriter, int indent, Object aRealm, StoreDescription parentDesc)`
Store the specified Realm properties and child (Realm) Must Implement at subclass for custom store children handling.

### Methods inherited from class StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RealmSF

public RealmSF()

## Method Details

### store

public void store(PrintWriter aWriter, int indent, Object aElement) throws Exception
Description copied from interface: `IStoreFactory`
Store a server.xml element with attributes and children.

Specified by:
  `store` in interface `IStoreFactory`
Overrides:
  `store` in class `StoreFactoryBase`
Parameters:
  `aWriter` - the writer to write to
  `indent` - the indentation
  `aElement` - the element to write
Throws:
  `Exception` - if an error occurs

### storeChildren

public void storeChildren(PrintWriter aWriter, int indent, Object aRealm, StoreDescription parentDesc) throws Exception
Store the specified Realm properties and child (Realm) Must Implement at subclass for custom store children handling.

Overrides:
  `storeChildren` in class `StoreFactoryBase`
Parameters:
  `aWriter` - Current output writer
  `indent` - Indentation level
  `aRealm` - Current element
  `parentDesc` - The element description
Throws:
  `Exception` - Configuration storing error